Bug 24025 - /bin/login segfaults.
Summary: /bin/login segfaults.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-15 13:28 UTC by Binand Sethumadhavan
Modified: 2007-04-18 16:30 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-01-15 13:28:19 UTC


Attachments (Terms of Use)

Description Binand Sethumadhavan 2001-01-15 13:28:17 UTC
/bin/login segfaults when control-D is pressed at login: prompt.

Here is the script output.

Script started on Mon Jan 15 17:53:45 2001
binand@morphius[~] login
login: <press control-D here>
login: <again>
Segmentation fault
binand@morphius[~] exit

Script done on Mon Jan 15 17:53:52 2001

So far as I can tell, no security issues as such, but there might be
suid root programs that call /bin/login.

RedHat version: 6.2
PAM version: pam-0.72-6
util-linux version: util-linux-2.10f-7

Binand

Comment 1 Nalin Dahyabhai 2001-01-16 04:34:15 UTC
Bug verified on both 6.2 and 7.  Should be fixed as of util-linux-2.10p-3 in Raw
Hide.


Note You need to log in before you can comment on or make changes to this bug.